Subject: Re: [bug#30572] [PATCH 2/7] tests: Add tests for "guix pack".
From: Chris Marusich <[email-masked]>
To: [email-masked] (Ludovic Courtès), Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Sat, 24 Mar 2018 03:05:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludo and Danny,

I've committed this patch set to master
(8e88f6fa8236a1fe66912957ecacae348355ec15 is the last commit in the
series)!  I'll watch Hydra to make sure it doesn't cause any unexpected
breakage.

[email-masked] (Ludovic Courtès) writes:

>> +if is_available chroot && is_available unshare; then
>> +    # Verify we can extract and use it.
>> +    test_directory="`mktemp -d`"
>> +    trap 'rm -rf "$test_directory"' EXIT
>> +    cd "$test_directory"
>> +    tar -xf "$the_pack"
>> +    unshare -r chroot . /opt/gnu/bin/guile --version
>> +    cd -
>> +else
>> +    echo "warning: skipping pack verification because chroot or unshare is unavailable" >&2
>> +fi
>
> I just realized we could unconditionally extra the pack, do
>
>   test -x "$test_directory/opt/gnu/bin/guile"
>
> and keep only the ‘unshare’ bit in the conditional.
>
> But I’m nitpicking, please push, with or without this change!  :-)

That's a good idea.  I've included that improvement in my changes.

> Thanks for your patience,

Thank you and Danny for taking the time to review this patch series!
Your feedback definitely helped make the code better.

Now I just need to go write a blog post... :-)

-- 
Chris